- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_set_read_prefs()

## Synopsis

    void
    mongoc_client_set_read_prefs (mongoc_client_t *client,
                                  const mongoc_read_prefs_t *read_prefs);

Sets the default read preferences to use with future operations upon `client`.

The global default is to read from the replica set primary.

It is a programming error to call this function on a client from a mongoc_client_pool_t. For pooled clients, set the read preferences with the MongoDB URI instead.

Please see the MongoDB website for a description of Read Preferences.

## Parameters

- `client`: A mongoc_client_t.
- `read_prefs`: A mongoc_read_prefs_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.